From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/whipper/
Date: Thu, 12 Dec 2019 17:37:34 +0000 (UTC) [thread overview]
Message-ID: <1576172219.3763704334bf6413b92f3d5b9450086ea9e66ef1.soap@gentoo> (raw)
commit: 3763704334bf6413b92f3d5b9450086ea9e66ef1
Author: Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
AuthorDate: Thu Dec 12 17:36:59 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 12 17:36:59 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37637043
media-sound/whipper: bump version to 0.9.0
Closes: https://bugs.gentoo.org/702002
Closes: https://github.com/gentoo/gentoo/pull/13930
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Quentin Retornaz <gentoo <AT> retornaz.com>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
media-sound/whipper/Manifest | 1 +
media-sound/whipper/whipper-0.9.0.ebuild | 46 ++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/media-sound/whipper/Manifest b/media-sound/whipper/Manifest
index abf3fbecc5c..45df92ca841 100644
--- a/media-sound/whipper/Manifest
+++ b/media-sound/whipper/Manifest
@@ -1 +1,2 @@
DIST whipper-0.7.3.tar.gz 168393 BLAKE2B b34151ede7c867dbbca34fcec3d8ef81cb50d66abc760fa54bec880f8f1186faf3e0f5298c2890501b9bd2f586b80d2cdc45a0755b6fe12fc1a2215e9ea9ecbb SHA512 ac96393471a6b4c40f5870f6e3183b65d43229314e2a1eacbf065c51ac61cbc772f2de3bde9f20ee1f7ffec427cd03c31f27df60eb6c621a699927646080c0ab
+DIST whipper-0.9.0.tar.gz 200836 BLAKE2B 197567d476bcfa448bee7d6ba2d1b980355f792e6591840d1291800c3ae205496dc58579394870adf171f11f31d7042b48d070cf03d203e45e7c369500c500ef SHA512 49e66ad2c6e8450199a53a28bb71725704daac86ce2cbf68080d4dee1c2357cf8367ddb4735a07f2ffe612d84f016661e5b6f94efa9d5a7d6b8cf56ee32b0ae7
diff --git a/media-sound/whipper/whipper-0.9.0.ebuild b/media-sound/whipper/whipper-0.9.0.ebuild
new file mode 100644
index 00000000000..c89a9f317c1
--- /dev/null
+++ b/media-sound/whipper/whipper-0.9.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python CD-DA ripper preferring accuracy over speed (forked from morituri)"
+HOMEPAGE="https://github.com/whipper-team/whipper"
+SRC_URI="https://github.com/whipper-team/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="media-libs/libsndfile:="
+RDEPEND="
+ ${DEPEND}
+ app-cdr/cdrdao
+ >=dev-libs/libcdio-paranoia-0.94_p2
+ >=dev-python/pycdio-2.1.0[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/python-musicbrainz-ngs[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ media-libs/mutagen[${PYTHON_USEDEP}]
+ media-sound/sox[flac]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/twisted[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests unittest
+
+PATCHES=( "${FILESDIR}/${PN}-0.7.0-cdparanoia-name-fix.patch" )
+
+python_prepare_all() {
+ # accurip test totally depends on network access
+ rm "${PN}"/test/test_common_accurip.py || die
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2019-12-12 17:37 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-12 17:37 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-13 7:35 [gentoo-commits] repo/gentoo:master commit in: media-sound/whipper/ Joonas Niilola
2024-07-13 7:35 Joonas Niilola
2024-07-13 7:35 Joonas Niilola
2024-04-23 3:59 Michał Górny
2024-04-23 3:59 Michał Górny
2024-01-30 19:23 Sam James
2023-05-02 8:22 Florian Schmaus
2023-05-02 8:22 Florian Schmaus
2023-05-02 8:22 Florian Schmaus
2023-05-02 8:22 Florian Schmaus
2023-05-01 12:41 Michał Górny
2022-06-08 7:09 Sam James
2021-06-03 7:01 Joonas Niilola
2021-05-28 14:19 Michał Górny
2020-08-19 18:46 Sam James
2019-12-12 17:37 David Seifert
2019-12-09 12:39 Andreas Sturmlechner
2019-12-09 12:30 Andreas Sturmlechner
2019-08-12 5:27 Mart Raudsepp
2019-08-04 23:43 Aaron Bauman
2019-08-04 11:56 Mart Raudsepp
2019-01-10 21:54 Andreas Sturmlechner
2019-01-10 21:54 Andreas Sturmlechner
2018-11-08 22:49 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1576172219.3763704334bf6413b92f3d5b9450086ea9e66ef1.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox